Groovy Documentation

## org.codehaus.groovy.control
[Java] Class CompilationUnit.ClassgenCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ClassgenCallback

    public static abstract class CompilationUnit.ClassgenCallback

Sets a ClassgenCallback. You can have only one, and setting it to null removes any existing setting.

Method Summary
`void` | `call(org.objectweb.asm.ClassVisitor writer, ClassNode node)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### call

    public void call(org.objectweb.asm.ClassVisitor writer, ClassNode node)

Groovy Documentation